OGRE: Ogre::Profiler::ProfileHistory Struct Reference - OGRE Documentation

Public Attributes

# Ogre::Profiler::ProfileHistory Struct Reference

Represents a history of each profile during the duration of the app. More...

`#include <OgreProfiler.h>`

List of all members.

## Public Attributes
String | name
| The name of the profile.
Real | currentTimePercent
| The current percentage of frame time this profile has taken.
Real | currentTimeMillisecs
| The current frame time this profile has taken in milliseconds.
Real | maxTimePercent
| The maximum percentage of frame time this profile has taken.
Real | maxTimeMillisecs
| The maximum frame time this profile has taken in milliseconds.
Real | minTimePercent
| The minimum percentage of frame time this profile has taken.
Real | minTimeMillisecs
| The minimum frame time this profile has taken in milliseconds.
uint | numCallsThisFrame
| The number of times this profile has been called each frame.
Real | totalTimePercent
| The total percentage of frame time this profile has taken.
Real | totalTimeMillisecs
| The total frame time this profile has taken in milliseconds.
ulong | totalCalls
| The total number of times this profile was called (used to calculate average).
uint | hierarchicalLvl
| The hierarchical level of this profile, 0 being the root profile.

## Detailed Description

Represents a history of each profile during the duration of the app.

Definition at line 358 of file OgreProfiler.h.

## Member Data Documentation

Real Ogre::Profiler::ProfileHistory::currentTimeMillisecs

The current frame time this profile has taken in milliseconds.

Definition at line 366 of file OgreProfiler.h.

Real Ogre::Profiler::ProfileHistory::currentTimePercent

The current percentage of frame time this profile has taken.

Definition at line 364 of file OgreProfiler.h.

uint Ogre::Profiler::ProfileHistory::hierarchicalLvl

The hierarchical level of this profile, 0 being the root profile.

Definition at line 391 of file OgreProfiler.h.

Real Ogre::Profiler::ProfileHistory::maxTimeMillisecs

The maximum frame time this profile has taken in milliseconds.

Definition at line 371 of file OgreProfiler.h.

Real Ogre::Profiler::ProfileHistory::maxTimePercent

The maximum percentage of frame time this profile has taken.

Definition at line 369 of file OgreProfiler.h.

Real Ogre::Profiler::ProfileHistory::minTimeMillisecs

The minimum frame time this profile has taken in milliseconds.

Definition at line 376 of file OgreProfiler.h.

Real Ogre::Profiler::ProfileHistory::minTimePercent

The minimum percentage of frame time this profile has taken.

Definition at line 374 of file OgreProfiler.h.

String Ogre::Profiler::ProfileHistory::name

The name of the profile.

Definition at line 361 of file OgreProfiler.h.

uint Ogre::Profiler::ProfileHistory::numCallsThisFrame

The number of times this profile has been called each frame.

Definition at line 379 of file OgreProfiler.h.

ulong Ogre::Profiler::ProfileHistory::totalCalls

The total number of times this profile was called (used to calculate average).

Definition at line 388 of file OgreProfiler.h.

Real Ogre::Profiler::ProfileHistory::totalTimeMillisecs

The total frame time this profile has taken in milliseconds.

Definition at line 384 of file OgreProfiler.h.

Real Ogre::Profiler::ProfileHistory::totalTimePercent

The total percentage of frame time this profile has taken.

Definition at line 382 of file OgreProfiler.h.

The documentation for this struct was generated from the following file:

- OgreProfiler.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:58